clear all
close all
clc

xplot = linspace(0,pi/2);

plot(xplot,f1(xplot))

hold on

plot(xplot,f2(xplot))




zerof1 = fzero('f1',[0,pi/2],optimset('TolX',1e-10));

zerof2 = fzero('f2',[0,pi/2],optimset('TolX',1e-10));







zerof11 = fzero(@(2*x),[0,pi/2],optimset('TolX',1e-10));

zerof22 = fzero(@(1/(x^2)+1),[0,pi/2],optimset('TolX',1e-10));

hold on
plot(xplot,zerof11)

hold on

plot(xplot,zerof22)